
@media only screen and (max-width: 1365.98px) {
  .gifts__inner {
    padding: 24px;
  }
}
/* --- Tablet L --- */
@media only screen and (max-width: 1240px) {
  .burger {
    display: flex;
  }

  .header__stats {
    position: relative;
  }
  .header__stats-btn {
    display: inline-flex;
  }
  .header__stats-list {
    position: absolute;
    z-index: 99;
    background-color: var(--bg-color);
    padding: 15px;
    flex-direction: column;
    align-items: flex-start;
    width: -webkit-max-content;
    width: -moz-max-content;
    width: max-content;
    border-radius: 8px;
    border: 1px solid #2A2B35;
    top: 120%;
    transform: translateY(20px);
    opacity: 0;
    pointer-events: none;
    transition: transform 0.3s, opacity 0.2s;
  }
  .header__stats-list.is-active {
    transform: translateY(0);
    opacity: 1;
    pointer-events: all;
  }
  .header__right-bottom {
    position: relative;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 20px;
    background-color: #21232F;
    padding: 12px 12px 12px 31px;
    width: 100%;
    border-radius: 0 0 10px 0;
    min-height: 70px;
  }
  .header__bottom-menu {
    position: absolute;
    width: calc(100vw - 50px);
    right: 0;
    top: 120%;
    flex-direction: column;
    border-radius: 10px;
    gap: 35px;
    transform: translateY(20px);
    transform-style: flat;
    opacity: 0;
    transition: transform 0.5s, opacity 0.5s;
    padding: 15px;
    z-index: 99;
    box-shadow: 0 0 20px 2px #4A48B2;
    pointer-events: none;
  }
  .header__bottom-menu.is-active {
    transform: translateY(0);
    opacity: 1;
    pointer-events: all;
  }

  .gifts__buttons a {
    min-width: auto;
    gap: 15px;
  }
  .gifts__buttons::before {
    display: none;
  }

  .footer::after {
    display: none;
  }

  .footer__items-inner {
    max-width: none;
  }
}
/* --- Tablet M --- */
@media only screen and (max-width: 1024px) {
  .gifts__buttons {
    display: grid;
    grid-template: 1fr/1fr 1fr;
  }

  .gifts__inner {
    flex-direction: column;
    gap: 35px;
  }
  .gifts__inner::before {
    display: none;
  }
  .gifts__inner::after {
    left: -35px;
    bottom: -35px;
    top: auto;
  }

  .header__slider:before, .header__slider:after {
    display: none;
  }
}
/* --- Mobile Phones L --- */
@media only screen and (max-width: 768px) {
  /* Container */
  .container {
    padding: 0;
    max-width: none;
    width: calc(100% - 20px);
  }

  .header__inner {
    grid-template: 1fr/80px 1fr;
  }
  .header__left {
    grid-template: 1fr 1fr/1fr;
  }
  .header__right-top {
    padding-right: 0;
  }
  .header__bottom-menu {
    width: calc(100vw - 20px);
  }
  .header__refill a {
    padding: 10px;
    background-position: center;
    background-size: 22px;
    font-size: 0;
    width: 44px;
    height: 44px;
  }
  .header__actions {
    flex-direction: column;
  }
  .header__stats-btn {
    font-size: 0;
    padding: 0;
    width: 36px;
    height: 36px;
    background-position: center;
  }
  .header__stats-list {
    right: 0;
  }
  .header__right-bottom {
    min-height: auto;
  }
  .header__socials {
    display: none;
  }
  .header__stats {
    margin: 0 0 0 auto;
  }
  .header__bonuses a {
    padding: 10px;
  }

  .gifts {
    max-width: none;
    padding: 0 10px;
  }
  .gifts .flipdown {
    padding: 10px;
    background-image: none;
  }
  .gifts__buttons a:nth-child(1) i {
    width: 21px;
    height: 21px;
  }
  .gifts .gifts__buttons a:nth-child(2) i {
    width: 24px;
    height: 24px;
  }

  .gifts__inner::after {
    left: 35px;
    width: 50%;
    bottom: -30%;
    background-size: contain;
  }

  .sales__nb {
    top: -65px;
  }

  .sales__slider .swiper-slide {
    width: 200px;
  }

  .footer__items {
    padding: 25px 20px;
  }

  .footer__top {
    flex-direction: column-reverse;
    margin-bottom: 0;
  }

  .footer__nav ul {
    flex-direction: row;
    flex-wrap: wrap;
  }

  .footer__bottom {
    padding-bottom: 30px;
  }

  .footer__form {
    width: 100%;
  }
  .footer__form input {
    width: 100%;
  }
}
/* --- Mobile Phones M --- */
@media only screen and (max-width: 425px) {
  .header__userbox {
    flex-direction: column;
    align-items: center;
    gap: 15px;
  }
  .header__notify, .header__user, .header__refill {
    margin: 0;
  }

  .gifts__buttons {
    width: 100%;
    grid-template: 1fr 1fr/1fr;
  }
  .gifts__buttons a {
    padding: 15px !important;
    min-height: auto;
  }

  .gifts .flipdown {
    padding: 0;
    border: 0;
  }

  .gifts .flipdown .rotor-group:nth-child(1) .rotor-group-heading:before {
    font-size: 16px;
    right: 10px;
  }

  .gifts .flipdown .rotor-group:nth-child(1) {
    width: 70px;
    padding-left: 10px;
  }
}
/* --- Mobile Phones S --- */